import { Request, Response, NextFunction } from 'express';
import News  from '../../models/NewsSchema';


const getNewsListMiddleware = () => {
    return (req: Request, res: Response, next: NextFunction) => {
        News.find({}, (err, news) => {
            if(!err){
                console.log(news);
                res.json({ news: news});
            }
        });    
    }

}

export default getNewsListMiddleware;